- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
G::GetOpt::SwitchSpec Struct Reference

A private implementation structure used by G::GetOpt. More...

`#include <ggetopt.h>`

## Public Member Functions
| SwitchSpec (char c_, const std::string &name_, const std::string &description_, const std::string &description_extra_, bool v_, const std::string &vd_, unsigned int level_)

## Public Attributes
char | c
std::string | name
std::string | description
std::string | description_extra
bool | valued
bool | hidden
std::string | value_description
unsigned int | level

## Detailed Description

A private implementation structure used by G::GetOpt.

Definition at line 60 of file ggetopt.h.

## Constructor & Destructor Documentation

G::GetOpt::SwitchSpec::SwitchSpec | ( | char | c_,
|  | const std::string & | name_,
|  | const std::string & | description_,
|  | const std::string & | description_extra_,
|  | bool | v_,
|  | const std::string & | vd_,
|  | unsigned int | level_
| ) |  |
| inline

Definition at line 70 of file ggetopt.h.

## Member Data Documentation

char G::GetOpt::SwitchSpec::c

Definition at line 62 of file ggetopt.h.

std::string G::GetOpt::SwitchSpec::description

Definition at line 64 of file ggetopt.h.

std::string G::GetOpt::SwitchSpec::description_extra

Definition at line 65 of file ggetopt.h.

bool G::GetOpt::SwitchSpec::hidden

Definition at line 67 of file ggetopt.h.

unsigned int G::GetOpt::SwitchSpec::level

Definition at line 69 of file ggetopt.h.

std::string G::GetOpt::SwitchSpec::name

Definition at line 63 of file ggetopt.h.

std::string G::GetOpt::SwitchSpec::value_description

Definition at line 68 of file ggetopt.h.

bool G::GetOpt::SwitchSpec::valued

Definition at line 66 of file ggetopt.h.

The documentation for this struct was generated from the following file:

- ggetopt.h